<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<!-- datacolumns table -->
	<table>
		<name>datacolumns</name>
		<column>
			<name>id</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<autoincrement>true</autoincrement>
			</options>
		</column>
		<column>
			<name>name</name>
			<type>string</type>
			<options>
				<length>255</length>
			</options>
		</column>
		<column>
			<name>tablename</name>
			<type>string</type>
			<options>
				<length>255</length>
			</options>
		</column>
		<column>
			<name>server</name>
			<type>string</type>
			<options>
				<length>128</length>
				<notnull>true</notnull>
			</options>
		</column>
		<column>
			<name>label</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>editable</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>gridview</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>custom</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>fieldtype</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>width</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<unsigned>true</unsigned>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>acslevel</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<default>0</default>
			</options>
		</column>
		
		<keys>
			<primary>id</primary>
			<unique>name|tablename|server</unique>
			<index>editable</index>
		</keys>
		<init>
		SQL:<![CDATA[
		name,tablename,server,label,editable,gridview,width,fieldtype,custom||
		sid,domains,*,sid,0,0,100,integer,0||
		domain,domains,*,Domain,0,1,190,string,0||
		ascii_domain,domains,*,ASCII Name,0,1,100,string,0||
		tld,domains,*,TLD,0,1,70,string,0||
		api_profile,domains,*,API Profile,1,1,100,string,0||
		import_source,domains,*,Import Source,1,1,100,string,0||
		import_row_id,domains,*,Import Row ID,1,1,100,string,0||
		axfr_ip,domains,*,AXFR IP,1,1,130,string,0||
		axfr_status,domains,*,AXFR Status,1,1,20,integer,0||
		added_on,domains,*,Added On,1,1,160,datetime,0||
		registry_expiry,domains,*,Registry Expiry,1,1,160,date,0||
		registrar_expiry,domains,*,Registrar Expiry,1,1,175,date,0||
		created_on,domains,*,Created On,1,1,130,date,0||
		last_update,domains,*,Last Update,1,1,140,date,0||
		registrar,domains,*,Registrar,1,1,180,string,0||
		status,domains,*,Status,1,1,100,string,0||
		availability,domains,*,Availability,0,1,40,string,0||
		domain_id,domains,*,Domain ID,1,1,100,string,0||
		primary_whois_server,domains,*,Primary Whois Server,1,1,150,string,0||
		secondary_whois_server,domains,*,Secondary Whois Server,1,1,150,string,0||
		primary_rdap_server,domains,*,Primary RDAP Server,1,1,150,string,0||
		secondary_rdap_server,domains,*,Secondary RDAP Server,1,1,150,string,0||
		registrar_abuse_email,domains,*,Registrar Abuse Email,1,1,160,string,0||
		ip,domains,*,IP,1,1,130,string,0||
		ns1,domains,*,NS1,1,1,160,string,0||
		ns2,domains,*,NS2,1,1,160,string,0||
		ns3,domains,*,NS3,1,1,160,string,0||
		ns4,domains,*,NS4,1,1,160,string,0||
		ns5,domains,*,NS5,1,1,160,string,0||
		ns6,domains,*,NS6,1,1,160,string,0||
		ns7,domains,*,NS7,1,1,160,string,0||
		ns8,domains,*,NS8,1,1,160,string,0||
		mx1,domains,*,MX1,1,1,160,string,0||
		mx2,domains,*,MX2,1,1,160,string,0||
		mx3,domains,*,MX3,1,1,160,string,0||
		mxip1,domains,*,MX1 IP,1,1,130,string,0||
		mxip2,domains,*,MX2 IP,1,1,130,string,0||
		mxip3,domains,*,MX3 IP,1,1,130,string,0||
		admin_email,domains,*,Admin Email,1,1,160,string,0||
		tech_email,domains,*,Tech Email,1,1,160,string,0||
		billing_email,domains,*,Billing Email,1,1,160,string,0||
		registrant_email,domains,*,Registrant Email,1,1,160,string,0||
		owner,domains,*,Owner,1,1,130,string,0||
		organization,domains,*,Organization,1,1,130,string,0||
		address,domains,*,Address,1,1,150,string,0||
		owner_country,domains,*,Owner Country,1,1,100,string,0||
		admin_phone,domains,*,Admin Phone,1,1,130,string,0||
		notes_a,domains,*,Notes A,1,1,130,string,0||
		notes_b,domains,*,Notes B,1,1,130,string,0||
		notes_c,domains,*,Notes C,1,1,130,string,0||
		notes_d,domains,*,Notes D,1,1,130,string,0||
		pingtime,domains,*,Ping Time,1,1,100,integer,0||
		home_page_modified,domains,*,Page Modified,1,1,100,datetime,0||
		home_page_status,domains,*,Page Status,1,1,100,string,0||
		redirect_urls,domains,*,Redirect URLs,1,1,160,string,0||
		redirect_last_url,domains,*,Final Redir URL,1,1,160,string,0||
		home_page_url,domains,*,Page URL,1,1,160,string,0||
		home_page_title,domains,*,Page Title,1,1,160,string,0||
		home_page_header,domains,*,Page Header,0,0,160,string,0||
		home_page_token,domains,*,Page Token,1,1,100,string,0||
		ip_org_name,domains,*,IP ORG,1,1,100,string,0||
		ip_net_name,domains,*,IP Net,1,1,100,string,0||
		ip_rtech_name,domains,*,IP RTEch,1,1,100,string,0||
		ip_asname,domains,*,IP ASName,1,1,100,string,0||
		ip_asnumber,domains,*,IP ASNum,1,1,100,string,0||
		home_page_size,domains,*,Page Size,1,1,100,string,0||
		page_token_found,domains,*,Page Token Found,0,1,40,boolean,0||
		edited,domains,*,Edited,0,1,20,boolean,0||
		disable_alerts,domains,*,Disable Alerts,1,1,100,boolean,0||
		write_protect,domains,*,Write Protect,1,1,100,boolean,0||
		primary_whois_checked_at,domains,*,Primary Whois At,0,1,220,datetime,0||
		secondary_whois_checked_at,domains,*,Secondary Whois At,0,1,220,datetime,0||
		rootdns_checked_at,domains,*,Root DNS Checked At,0,1,160,datetime,0||
		ping_checked_at,domains,*,Ping Checked At,0,1,160,datetime,0||
		home_page_checked_at,domains,*,Page Checked At,0,1,160,datetime,0||
		manual_edited_at,domains,*,Manual Edited At,0,1,160,datetime,0||
		ssl_checked_at,domains,*,SSL Checked At,0,1,160,datetime,0||
		subdomains_checked_at,domains,*,Subdomains Checked At,0,1,160,datetime,0||
		subdomains_autofound_at,domains,*,Subdomains Auto-found At,0,1,160,datetime,0||
		websites_checked_at,domains,*,Websites Checked At,0,1,160,datetime,0||
		ip_whois_at,domains,*,IP Whois At,0,1,160,datetime,0||
		registry_whois,domains,*,Registry Whois,0,0,100,text,0||
		registrar_whois,domains,*,Registrar Whois,0,0,100,text,0||
		ip_whois,domains,*,IP Whois,0,0,100,text,0||
		homepage_html,domains,*,Page HTML,0,0,100,text,0||
		r_h_disp,domains,*,!,0,1,20,integer,0||
		hid,subdomains,*,hid,0,0,100,integer,0||
		sid,subdomains,*,sid,0,0,100,integer,0||
		subdomain,subdomains,*,Subdomain,0,1,100,string,0||
		ip,subdomains,*,IP (DNS),0,1,130,string,0||
		ssl_valid_from,subdomains,*,SSL Valid From,1,1,130,date,0||
		ssl_valid_to,subdomains,*,SSL Valid Till,1,1,130,date,0||
		ssl_issued_to,subdomains,*,SSL Issued To,1,1,130,string,0||
		ssl_issued_by,subdomains,*,SSL Issued By,1,1,130,string,0||
		subject_key_id,subdomains,*,Subject Key ID,1,1,160,string,0||
		subject_alt_name,subdomains,*,SAN,1,1,160,string,0||
		subject_alt_name_text,subdomains,*,SAN Full,1,0,100,text,0||
		notes_a,subdomains,*,Notes A (SD),1,1,130,string,0||
		notes_b,subdomains,*,Notes B (SD),1,1,130,string,0||
		notes_c,subdomains,*,Notes C (SD),1,1,130,string,0||
		notes_d,subdomains,*,Notes D (SD),1,1,130,string,0||
		signature_type,subdomains,*,Signature Type,1,1,100,string,0||
		serial,subdomains,*,SSL Serial,1,1,100,string,0||
		added_on,subdomains,*,Added On (SD),0,1,160,datetime,0||
		manual_edited_at,subdomains,*,Manual Edited At (SD),0,1,160,datetime,0||
		record_type,subdomains,*,Record Type,0,1,90,string,0||
		record_value,subdomains,*,Record Value,0,1,150,string,0||
		ptr,subdomains,*,PTR,0,1,160,string,0||
		edited,subdomains,*,Edited (SD),0,1,20,boolean,0||
		auto_added,subdomains,*,Auto Added,0,1,20,boolean,0||
		r_h_disp,subdomains,*,!!,0,1,20,integer,0||
		ttl,subdomains,*,TTL,0,1,100,integer,0||
		dnsbl_lookup_results,subdomains,*,DNSBL Data,0,1,160,string,0||
		days_to_expiry,domains,*,Days,0,0,80,integer,0||
		cookie_name,subdomains,*,Cookie Name,0,1,160,string,0||
		cookie_value,subdomains,*,Cookie Value,0,1,160,string,0||
		cookie_type,subdomains,*,Cookie Type,0,1,160,string,0||
		cookie_domain,subdomains,*,Cookie Domain,0,1,160,string,0||
		cookie_thirdparty,subdomains,*,Thirdparty Cookie,0,1,160,string,0||
		cookie_expiry,subdomains,*,Cookie Expiry,0,1,160,datetime,0
		]]>
		</init>
	</table>
</tables>
